com.microfocus.awm.meta.internal.modelextension

## Class AbstractFileDescriptorTypeRestriction

- java.lang.Object
- - com.microfocus.awm.meta.internal.modelextension.AbstractFileDescriptorTypeRestriction

- Direct Known Subclasses:
    GeneralFileDescriptorTypeRestriction

      public abstract class AbstractFileDescriptorTypeRestriction
      extends java.lang.Object

  Abstract class to modify the file types shown in the file descriptor.

  This class is NOT intended to be extended by a client.

  Copyright Micro Focus GmbH.

  Author:
    NicolasP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFileDescriptorTypeRestriction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<EFileTypes>` | `getRestrictions()` Returns a `Collection` of `EFileTypes` which should be displayed as file types of `FileDescriptor`s.
    `void` | `registerNextFileTypeRestriction(AbstractFileDescriptorTypeRestriction pFileTypeRestriction)` Registers a new `AbstractFileDescriptorTypeRestriction` that handles the call of `getFileTypeRestrictions()`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractFileDescriptorTypeRestriction

          public AbstractFileDescriptorTypeRestriction()

  - ### Method Detail

    - #### registerNextFileTypeRestriction

          public final void registerNextFileTypeRestriction(AbstractFileDescriptorTypeRestriction pFileTypeRestriction)

      Registers a new `AbstractFileDescriptorTypeRestriction` that handles the call of `getFileTypeRestrictions()`.
      Parameters:
        `pFileTypeRestriction` - an implementation of `AbstractFileDescriptorTypeRestriction`

    - #### getRestrictions

          public final java.util.Collection<EFileTypes> getRestrictions()

      Returns a `Collection` of `EFileTypes` which should be displayed as file types of `FileDescriptor`s.
      Returns:
        a `Collection` of `EFileTypes`. This method calls the `getFileTypeRestrictions()` of the last implementation of the chain.

Copyright © 2015 Micro Focus GmbH. All rights reserved.